Subject: bug#62300: 29.0.60; No hyperlinks for some symbols in *Help* buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Mar 2023 19:26:29 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 21 Mar 2023 10:19:55 -0400
> 
> > So you are saying that the only way of having
> > global-text-scale-adjust-resizes-frames decorated as a link is to
> > autoload it?
> 
> Not at all, no, I must have been unclear somewhere (maybe because
> there's "autoload" as in using a `;;;###autoload` cookie somewhere, and
> "autoload" as in having help-fns.el `load`ing a file in response to
> something the user did in order to try and get more information about
> the contents in that file).
> 
> I was saying that we can avoid the discrepancy either by:
> - Change `help-enable-autoload` to also cause `help-fns.el` to (auto)load
>   `face-remap.el` when you do `C-h f global-text-scale-adjust RET`
> - To try and figure out why `C-h f text-scale-adjust RET`
>   causes `help-fns.el` to (auto)load `face-remap.el` (presumably
>   conditioned on `help-enable-completion-autoload`) and change it so
>   it behaves like `C-h f global-text-scale-adjust RET` instead.

The latter means a regression, since symbols mentioned in the doc
string of text-scale-adjust will not be buttonized, like symbols in
the doc string of global-text-scale-adjust aren't now.  I'd like to
find a solution that would cause symbols in both doc strings to be
buttonized (autoloading the defcustom does).